All Classes Namespaces Functions Variables Groups Pages
PgsqlSqlUtil Namespace Reference

the PgsqlSqlUtil namespace contains all the objects in the PgsqlSqlUtil module More...

## Classes

class | PgsqlCheckConstraint
| represents a PostgreSQL-specific check constraint More...
class | PgsqlColumn
| represents a PostgreSQL-specific column More...
class | PgsqlDatabase
| provides the PostgreSQL-specific implementation of the AbstractDatabase interface More...
class | PgsqlForeignConstraint
| represents a PostgreSQL-specific foreign constraint More...
class | PgsqlFunction
| represents a PostgreSQL-specific function More...
class | PgsqlIndex
| represents a PostgreSQL-specific index More...
class | PgsqlNumericColumn
| represents a PostgreSQL-specific numeric column More...
class | PgsqlPrimaryKey
| represents a PostgreSQL-specific primary key constraint More...
class | PgsqlSequence
| class for PostgreSQL sequences More...
class | PgsqlTable
| provides the PostgreSQL-specific implementation of the SqlUtil::AbstractTable interface More...
class | PgsqlTrigger
| represents a PostgreSQL-specific trigger More...
class | PgsqlTriggerFunction
| represents a PostgreSQL-specific trigger function More...
class | PgsqlType
| represents a PostgreSQL type More...
class | PgsqlUniqueConstraint
| class modeling a unique constraint More...
class | PgsqlUniqueConstraintCommon
| common base class for unique constraints More...
class | PgsqlView
| represents a PostgreSQL view More...

## Functions

PgsqlDatabase | get_database (AbstractDatasource nds, *hash opts)
| returns a PgsqlDatabase object corresponding to the arguments
PgsqlTable | get_table (AbstractDatasource nds, string nname, *hash opts)
| returns a PgsqlTable object corresponding to the arguments

## Detailed Description

the PgsqlSqlUtil namespace contains all the objects in the PgsqlSqlUtil module